Introduction to Server Health and Monitoring


About this Tour

Server Health Planning

Health Monitor

Server Status View

Server Status Report

Scenario

Learn More


About this Tour

This tour provides a short introduction to server health and monitoring.

You may navigate through this tour using the buttons above or by clicking the links to the left.

This tour explains the following:

  • Planning for server health.
  • Health Monitor, a centralized and detailed server-monitoring tool.
  • The Server Status View tool.
  • The Server Status Report tool.
  • A server health scenario, from alert to solution.

At the end of the tour, additional information about Server Health and Monitoring is listed on the Learn More page, which may include links to Web resources, links to Online Help topics or other tours, references to the Small Business Server 2000 Planning and Installation guide, and additional reference material such as Knowledge Base articles and Microsoft Press publications.


Server Health Planning

You can plan and implement processes for checking server health and recovering from problems. This will help you to reduce system downtime and reliably restore a system when necessary.

Issues to consider include:

  • Emergency Repair Disks
  • Data Backups
  • Disaster Recovery
  • Uninterruptible Power Supply
  • Sufficient Disk Space
  • Service Availability


Data Backups

Backup systems should be monitored regularly. For example:

  • Make sure backup devices are functioning.
  • Check Event Logs to verify that backups ran on schedule.
  • Test your backup data rigorously by restoring pieces of data from different parts of the backup media.
  • Carefully archive and rotate your backup media.
  • Test that your backups are successful on Exchange Server and SQL Server.


Disaster Recovery

A basic recovery plan includes:

  • A written statement of how long you expect recovery will take.
  • Current full and incremental data backups.
  • Current full system backup, including the registry.
  • A complete checklist of all the hardware and copies of all software you are using (both client and servers).


Uninterruptible Power Supply

It is a good idea to purchase an uninterruptible power supply (UPS) for your Small Business Server network. In the event of a power outage, a UPS provides your server with enough backup power supply to save data and power down safely, minimizing your data loss.


Sufficient Disk Space

Sufficient disk space is a critical component of a healthy server. Make sure that you:

  • Monitor available space on hard disk drives.
  • Maximize your paging file size.
  • Schedule a regular hard disk drive cleanup and defragmentation (preferably during nonbusiness hours).
  • Schedule a regular check for hard disk damage, corruption, viruses, and bad sectors (during nonbusiness hours).


Service Availability

Determine which services are critical and, when appropriate, configure them to start on the server automatically. Unnecessary or seldom-used services should be configured to start manually. After all necessary services are started, establish a performance baseline.


Emergency Repair Disks

Emergency Repair Disks (ERDs) are used in combination with your Windows 2000 Server disc to fix problems that prevent you from starting a Windows 2000 system. You should create an ERD immediately after installing Small Business Server 2000, and whenever you significantly change system configurations. Make sure your ERDs are clearly labeled and dated.


Health Monitor

Health Monitor 2.1 is included in Small Business Server 2000 as a powerful real-time monitoring tool. This robust tool centrally collects data from both the Event Viewer and System Monitor (formerly Performance Monitor) to enable you to view detailed status of each server in your organization.

The graphical Health Monitor interface gives you easy access to several categories of low-level details for your server. In response to a problem, Health Monitor provides notification actions that you can customize. For more information, click a link below:

  • Alerts
  • Thresholds
  • Corrective Actions


Alerts

You can set several types of alerts based on monitored conditions. These alerts are generated immediately.

You can set multiple levels of alerts using all alert types. For example, you can set a warning alert when free disk space reaches 20 percent and a critical alert when it reaches 10 percent.


Thresholds

You can modify a threshold for each alert to notify you when a problem exists over time. This feature helps eliminate nuisance alerts.


Corrective Actions

You can specify one or more actions to occur when an alert is triggered. Possible actions include:

  • Sending an e-mail notification.
  • Logging to a text file or the Event Log.
  • Running a predefined script.
  • Running a command-line action.


Server Status View

Server Status View is part of the BackOffice Home snap-in. The tool is designed for technology consultants and power users and provides a high-level, summary view of server status.

The information about your Small Business Server computer is divided into three panes. For more information about these panes, click a link below:

  • Alerts
  • Performance Counters
  • Services


Health Monitor Alerts

The top pane shows any alerts that have been triggered, including the type of alert and when they occurred.


Performance Counters

The middle pane displays a list of performance counters for the server. These performance counters provide information about server resources such as logical disk, memory and free disk space. From this Server Status View, you can customize which counters appear in this pane by selecting them from a prepopulated drop-down list. Counters that measure percentages display a bar graph for easy visual reference.


Services

The bottom pane displays a customizable list of services that are set to start automatically on the server, but that are currently not started. From this Server Status View interface, you can start or resume services and add additional services to the list. You can sort the list by category.


Server Status Report

You can use the Server Status View to schedule text-based server status reports to be sent to multiple e-mail addresses and/or a single fax number. These reports are generated for your Small Business Server computer and sent as frequently as you need.

If the reports are sent through e-mail, you can attach chronological log files, such as the Event Log or backup log, or send raw data in an XML document. The data can then be stored for historical analysis and forecasting.


Scenario

In this example, a technology consultant uses server status tools to solve a problem.

  1. Alert Health Monitor triggers an alert that free disk space is down to 30 percent.
  2. Server Status View The yellow Caution alert icon appears. The free disk space performance counter shows that disk space is down to 30 percent.
  3. Health Monitor Health Monitor is opened to check the status of the server.
  4. Troubleshooting By right-clicking, the free disk space performance counter is viewed and recommended solutions are shown.


Learn More

You have now finished the Introduction to Server Health and Monitoring tour. See below for additional information.

Web Site

Small Business Server

Search Knowledge Base

Microsoft Technet

Microsoft Press

Online Help

Display Server Status View

Customize Server Status View

Configure Server Status Report

Send Immediate Server Status Report

Planning Guide

Microsoft Small Business Server 2000 Planning and Installation, Chapter 11, "System Maintenance."

Planning and Installation Online